---
title: LDWS Control Endpoints
slug: develop/ldws-control-endpoints
docTags: 
createdAt: 2025-03-11T07:03:32.131Z
---

## PUT /v1/control/reboot/ 

Reboots the player.

**Request Body**

- `crash_report` <font color="#704ae0">bool</font>: Setting this parameter to true reboots the player and saves a crash-report file to the brightsign-dumps folder. Only use this when directed by BrightSign customer service, which may request the crash report when helping you troubleshoot a player.
- `factory_reset` <font color="#704ae0">bool</font>**:** Setting this parameter to true resets the player to factory defaults, erasing all persistent registry settings for networking, security, and other applications.
- `autorun` <font color="#704ae0">string</font>**:** Set to “disable” to disable the current autorun script, which is helpful for debugging purposes.

**Request Example (Simple Reboot)**

This reboot has no body.

```text
PUT /api/v1/control/reboot HTTP/1.1
Host: {{playerIP}}
Authorization: {{DigestAuth}}
```

**Request Example (Crash Report)**

```text
PUT /api/v1/control/reboot/ HTTP/1.1
Host: {{playerIP}}
Authorization: {{DigestAuth}}
Accept: application/json
Content-Type: application/json
Content-Length: 36
```

This is the example request body:

```json
{
  "crash_report": true
}
```

**Request Example (Factory Reset)**

```text
PUT /api/v1/control/reboot/ HTTP/1.1
Host: {{playerIP}}
Authorization: {{DigestAuth}}
Accept: application/json
Content-Type: application/json
Content-Length: 39
```

This is the example request body:

```json
{
  "factory_reset": true
}
```

**Request Example (Disable Autorun)**

```text
PUT /api/v1/control/reboot/ HTTP/1.1
Host: {{playerIP}}
Authorization: {{DigestAuth}}
Accept: application/json
Content-Type: application/json
Content-Length: 41
```

This is the example request body:

```json
{
  "autorun": "disable"
}
```

**Response Body**

The server will return a success or error message. A successful response will almost always cause a reboot which will be indicated in the response.

- `result` <font color="#704ae0">object</font>: The response object
  - `success` <font color="#704ae0">bool</font>: Whether or not the operation was successful
  - `reboot` <font color="#704ae0">bool</font>: Whether or not the player is rebooting

**Response Examples**

**Crash Report**

```json
{
    "data": {
        "result": {
            "success": true,
            "message": "A reboot has been initiated (with crash report)"
        }
    }
}
```

**Factory Reset**

```json
{
    "data": {
        "result": {
            "success": true,
            "message": "A reboot has been initiated (with factory reset)"
        }
    }
}
```

**Disable Autorun**

```json
{
    "data": {
        "result": {
            "success": true,
            "message": "A reboot has been initiated"
        }
    }
}
```

## GET /v1/control/dws-password/ 

Returns information about the current password of the local DWS (but not the password itself) such as whether the password is blank or invalid

**Request Example**

```text
GET /api/v1/control/dws-password/ HTTP/1.1
Host: {{playerIP}}
Authorization: {{DigestAuth}}
Accept: application/json
```

**Response Body**

- `success` <font color="#704ae0">bool</font>: A flag indicating whether the password was successfully read
- `password` <font color="#704ae0">Password{ }</font>: A Password object that describes the DWS password. The following are possible values:
  - `isResultValid` <font color="#704ae0">bool</font>: A flag indicating whether the DWS password is valid
  - `isBlank` <font color="#704ae0">bool</font>: A flag indicating whether the DWS password is blank (i.e. no password is required)

**Response Example**

```json
{
  "data": {
    "result": {
      "success": true,
      "password": {
        "isResultValid": true,
        "isBlank": true
      }
    }
  }
}
```

## PUT /v1/control/dws-password/ 

Resets or changes the DWS password. 

**Request Body**

- `password` <font color="#704ae0">string</font>: The password value that you want to set.
- `previous_password` <font color="#704ae0">string</font>: This optional parameter is the old password value
- `obfuscated_password` <font color="#704ae0">string</font>: An obfuscated password for the LDWS.

**Request Example**

```text
PUT /api/v1/control/dws-password/ HTTP/1.1
Host: {{playerIP}}
Authorization: {{DigestAuth}}
Accept: application/json
Content-Type: application/json
Content-Length: 106
```

This is the example request body:

```json
{
  "password": "newpassword",
  "previous_password": "oldpassword"
}
```

**Response Body**

- `success` <font color="#704ae0">bool</font>: A flag indicating whether the password was successfully set
- `reboot` <font color="#704ae0">bool</font>: A flag indicating whether the player will reboot to set the password

**Response Example**

```json
{
    "data": {
        "result": {
            "success": true,
            "reboot": false
        }
    }
}
```



## GET /v1/control/local-dws/ 

Returns whether or not the local DWS is enabled.

**Request Example**

```text
GET /api/v1/control/local-dws/ HTTP/1.1
Host: {{playerIP}}
Authorization: {{DigestAuth}}
Accept: application/json
```

**Response Body**

- `success` <font color="#704ae0">bool</font>: Whether the local DWS is enabled or disabled
- `value` <font color="#704ae0">bool</font>: When `true` means that the local DWS is enabled, `false` is disabled

**Response Example**

```json
{
    "data": {
        "result": {
            "success": true,
            "value": true
        }
    }
}
```

## PUT /v1/control/local-dws/ 

Used to disable the local DWS. See [Access the Local DWS](docId\:IAFCHERlJfjDJTWTtKpk5) for information on enabling the local DWS using other methods.

**Request Body**

- `enable` <font color="#704ae0">bool</font>: Whether or not the local DWS is enabled&#x20;

**Request Example**

```text
PUT /api/v1/control/local-dws/ HTTP/1.1
Host: {{playerIP}}
Authorization: {{DigestAuth}}
Accept: application/json
Content-Type: application/json
Content-Length: 47
```

This is the example request body:

```json
{
  "enable": false
}
```

**Response Body**

- `success` <font color="#704ae0">bool</font>: A flag indicating whether the local DWS was successfully disabled
- `reboot` <font color="#704ae0">bool</font>: A flag indicating whether the player will reboot to disable the local DWS

**Response Example**

```json
{
    "data": {
        "result": {
            "success": true,
            "reboot": true
        }
    }
}
```



## PUT /v1/control/ssh-host-keys/reset/

Resets the SSH host keys by regenerating new host key pairs. This is useful for security purposes or when host keys have been compromised. The system will automatically determine if a reboot is required, unless overriden by the reboot parameter.

**Request Example**

```text
PUT /api/v1/control/ssh-host-keys/reset/ HTTP/1.1
Host: {{playerIP}}
Authorization: {{DigestAuth}}
Accept: application/json
Content-Type: application/json
Content-Length: 56
```

**Request Body**

This is the optional example request body:

```json
{
  "reboot": "true"
}
```

**Response Example**

```json
{
    "data": {
        "result": {
            "success": true,
            "value": true
        }
    }
}
```

## PUT /v1/control/dws-default-certs/reset/

Resets the DWS default certificates by regenerating new certificate pairs. This is useful for security purposes or when certificates have been compromised. The system will reboot to activate new certificates, unless overriden by the reboot parameter.

**Request Example**

```text
PUT /api/v1/control/dws-default-certs/reset/ HTTP/1.1
Host: {{playerIP}}
Authorization: {{DigestAuth}}
Accept: application/json
Content-Type: application/json
Content-Length: 56
```

**Request Body**

This is the optional example request body:

```json
{
  "reboot": "true"
}
```

**Response Example**

```json
{
    "data": {
        "result": {
            "success": true,
            "value": true
        }
    }
}
```

